BEGIN YASRAENA



IF ~NumTimesTalkedTo(0)~ THEN BEGIN YasraenaMeet
 SAY ~Are you friend or foe?~
 ++ ~That depends.~ GOTO YasraenaMeet1a
 ++ ~I mean you no harm.~ GOTO YasraenaMeet2a
 ++ ~I am the foe of all drow!~ GOTO YasraenaMeet1d
 ++ ~I could ask you the same question.~ GOTO YasraenaMeet1a
 ++ ~If you mean me no harm, then I am a friend.~ GOTO YasraenaMeet3a
 ++ ~I am a friend to all in need. Do you require assistance?~ GOTO YasraenaMeet4a
END

IF ~~ THEN BEGIN YasraenaMeet1a
 SAY ~Well, if it depends on me, then we are friends. You are obviously trying to escape this place, even as I am, so I bear you no ill will.~
=
 ~I am Yasraena, of the House of Arkhenneld.~
 ++ ~A drow on the surface?~ GOTO YasraenaMeet1b
 ++ ~I am <CHARNAME>. Why are you here?~ GOTO YasraenaMeet1c
 ++ ~Drow?! You shall die for showing your black face on the surface!~ GOTO YasraenaMeet1d
END

IF ~~ THEN BEGIN YasraenaMeet1b
 SAY ~Yes, if this underground prison can be called the surface. And your name is?~
 ++ ~<CHARNAME>. Well met. Why are you here?~ GOTO YasraenaMeet1c
 ++ ~I cannot trust you with my name. I must escape while I can.~ GOTO YasraenaMeet1e
END

IF ~~ THEN BEGIN YasraenaMeet1c
 SAY ~I am searching for my former master, Divalir. News came to me that the master of this dungeon, Irenicus, knew something of his whereabouts.~
 ++ ~What do you know of Irenicus?~ GOTO YasraenaMeet1f
 ++ ~Search for him with me. I will aid you.~ GOTO YasraenaMeet1g
 ++ ~Good luck.~ GOTO YasraenaMeet1h
END

IF ~~ THEN BEGIN YasraenaMeet1d
 SAY ~Of course. I should have expected such hostility. I will leave you be.~
=
 ~Fare well.~
 IF ~~ THEN DO ~EscapeArea()~
EXIT
END

IF ~~ THEN BEGIN YasraenaMeet1e
 SAY ~Wait!~
 =
 ~I am sorry, but desperate times have made me grow bold. I beg your assistance and protection.~
 =
 ~I'm sure I do not need to remind you of the dangers of being a drow on the surface. I am searching for my former master, Divalir. News came to me that the master of this dungeon, Irenicus, knew something of his whereabouts.~
 ++ ~What do you know of Irenicus?~ GOTO YasraenaMeet1f
 ++ ~Search for him with me. I will aid you.~ GOTO YasraenaMeet1g
 ++ ~Good luck.~ GOTO YasraenaMeet1h
 ++ ~I cannot help you.~ GOTO YasraenaMeet1i
END

IF ~~ THEN BEGIN YasraenaMeet1f
 SAY ~No more than what I have just said. He captured me in the dungeon and imprisoned me. I have been here only a few days.~
 =
 ~I heard fighting and then several explosions--I assume magical. I was knocked unconscious, and when I awoke, I found that my cage was damaged enough for me to kick the lock open.~
 ++ ~I see. You may join me, and I will help you search for your master.~ GOTO YasraenaMeet1g
 ++ ~You lie, drow! You are in league with Irenicus! Now you must die.~ GOTO YasraenaMeet1d
 ++ ~I'm sorry I cannot help you. Best of luck.~ GOTO YasraenaMeet1h
END

IF ~~ THEN BEGIN YasraenaMeet1g
 SAY ~(Yasraena's eyes widen in glad surprise.) Thank you for your generous trust. I will not fail you.~
 IF ~~ THEN DO ~AddJournalEntry(@5000,QUEST)SetGlobal("YasraenaJoined","GLOBAL",1)JoinParty()~
EXIT
END

IF ~~ THEN BEGIN YasraenaMeet1h
 SAY ~I believe I will have need of luck as I brave bright day and travel to roofless lands.~
 =
 ~Fare well.~
 IF ~~ THEN DO ~EscapeArea()~
EXIT
END

IF ~~ THEN BEGIN YasraenaMeet1i
 SAY ~I am sorry for it.~
 =
 ~Fare well.~
 IF ~~ THEN DO ~EscapeArea()~
EXIT
END

IF ~~ THEN BEGIN YasraenaMeet2a
 SAY ~Then let us be friends. I am Yasraena, of the House of Arkhenneld.~
 ++ ~A drow on the surface?~ GOTO YasraenaMeet1b
 ++ ~I am <CHARNAME>. Why are you here?~ GOTO YasraenaMeet1c
 ++ ~Drow?! You shall die for showing your black face on the surface!~ GOTO YasraenaMeet1d
END

IF ~~ THEN BEGIN YasraenaMeet3a
 SAY ~I am glad of it. I am Yasraena, of the House of Arkhenneld.~
 ++ ~A drow on the surface?~ GOTO YasraenaMeet1b
 ++ ~I am <CHARNAME>. Why are you here?~ GOTO YasraenaMeet1c
 ++ ~Drow?! You shall die for showing your black face on the surface!~ GOTO YasraenaMeet1d
END

IF ~~ THEN BEGIN YasraenaMeet4a
 SAY ~Yes! Desperately.~
 =
 ~I'm sure I do not need to remind you of the dangers of being a drow on the surface. I am searching for my former master, Divalir. News came to me that the master of this dungeon, Irenicus, knew something of his whereabouts.~
 ++ ~What do you know of Irenicus?~ GOTO YasraenaMeet1f
 ++ ~Search for him with me. I will aid you.~ GOTO YasraenaMeet1g
 ++ ~Good luck.~ GOTO YasraenaMeet1h
 ++ ~I cannot help you.~ GOTO YasraenaMeet1i
END
